net.corda.node.services.persistence

## Class InMemoryStateMachineRecordedTransactionMappingStorage

- net.corda.node.services.persistence.InMemoryStateMachineRecordedTransactionMappingStorage

- All Implemented Interfaces:
    StateMachineRecordedTransactionMappingStorage

      public class InMemoryStateMachineRecordedTransactionMappingStorage
      implements StateMachineRecordedTransactionMappingStorage

  This is a temporary in-memory storage of a state machine id -> txhash mapping

  TODO persist this instead

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryStateMachineRecordedTransactionMappingStorage()` This is a temporary in-memory storage of a state machine id -> txhash mapping

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMapping(StateMachineRunId stateMachineRunId, SecureHash transactionId)`
    `kotlin.Pair<java.util.List,rx.Observable>` | `track()`

    - ### Methods inherited from interface net.corda.core.node.services.StateMachineRecordedTransactionMappingStorage

      `addMapping, track`

- - ### Constructor Detail

    - #### InMemoryStateMachineRecordedTransactionMappingStorage

          public InMemoryStateMachineRecordedTransactionMappingStorage()

      This is a temporary in-memory storage of a state machine id -> txhash mapping

      TODO persist this instead

  - ### Method Detail

    - #### addMapping

          public void addMapping(StateMachineRunId stateMachineRunId,
                                 SecureHash transactionId)

    - #### track

          public kotlin.Pair<java.util.List,rx.Observable> track()